; setup-myprog.nsi
;--------------------------------
!include "MUI.nsh"
!insertmacro MUI_UNPAGE_CONFIRM
!insertmacro MUI_UNPAGE_INSTFILES
!insertmacro MUI_LANGUAGE "English"
!insertmacro MUI_LANGUAGE "German"

; The name of the installer
Name "Cut and Play Setup"
; The file to write
OutFile "setup-cut-and-play-0.1.7.exe"
; The default installation directory
InstallDir "$PROGRAMFILES\Cut and Play"
; The text to prompt the user to enter a directory
DirText "This will install Cut and Play on your computer. Choose a directory"

;--------------------------------
; The stuff to install
Section "Install" ;No components page, name is not important
  ; Set output path to the installation directory.
  SetOutPath $INSTDIR
  ; Put file there
  File ../dist/CutAndPlay.jar
  CreateDirectory "$INSTDIR\lib"
  File "/oname=lib\appframework-1.0.3.jar" ../dist/lib/appframework-1.0.3.jar
  File "/oname=lib\swing-worker-1.1.jar" ../dist/lib/swing-worker-1.1.jar

  CreateDirectory "$SMPROGRAMS\Cut and Play"
  ;-----------------------------------------------------------------------------
  StrCmp $LANGUAGE ${LANG_GERMAN} GermanShortcut EnglishShortcut
  GermanShortcut:
    CreateShortCut "$SMPROGRAMS\Cut and Play\Cut and Play.lnk" "javaw.exe" "-Xmx256M -Duser.language=de -Duser.country=DE -jar $\"$INSTDIR/CutAndPlay.jar$\""
    goto ShortcutEnd
  EnglishShortcut:
    CreateShortCut "$SMPROGRAMS\Cut and Play\Cut and Play.lnk" "javaw.exe" "-Xmx256M -Duser.language=en -Duser.country=GB -jar $\"$INSTDIR/CutAndPlay.jar$\""
    goto ShortcutEnd
  ShortcutEnd:
  ;------------------------------------------------------------------------------
  ; CreateShortCut "$SMPROGRAMS\Cut and Play\Open Notepad.lnk" "Notepad.exe" 
  CreateShortCut "$SMPROGRAMS\Cut and Play\Uninstall.lnk" "$INSTDIR\Uninstall.exe"
  WriteUninstaller "$INSTDIR\Uninstall.exe" 
SectionEnd ; end the section

;--------------------------------
; Installer Functions

Function .onInit
  !insertmacro MUI_LANGDLL_DISPLAY
FunctionEnd

;--------------------------------
;Uninstaller Section

Section "Uninstall"
  Delete "$SMPROGRAMS\Cut and Play\Cut and Play.lnk"
  Delete "$SMPROGRAMS\Cut and Play\Uninstall.lnk"
  RMDir  "$SMPROGRAMS\Cut and Play"

  Delete "$INSTDIR\lib\appframework-1.0.3.jar"
  Delete "$INSTDIR\lib\swing-worker-1.1.jar"
  RMDir  "$INSTDIR\lib"

  Delete "$INSTDIR\CutAndPlay.jar"
  Delete "$INSTDIR\Uninstall.exe"
  RMDir "$INSTDIR"
SectionEnd
