/*
 * This file is part of CutAndPlay.
 *
 * Copyright (C) 2009 Stefan Westerfeld
 * Copyright (C) 2009 Treuwert Computer GmbH
 *
 * CutAndPlay is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package cutandplay;

import java.text.MessageFormat;
import org.jdesktop.application.Action;
import org.jdesktop.application.Application;

public class CutAndPlayAboutBox extends javax.swing.JDialog {

    public String i18n (String msg)
    {
	return java.util.ResourceBundle.getBundle("cutandplay/resources/I18NStrings").getString (msg);
    }
    public String i18n1 (String msg, Object arg0)
    {
	String format = i18n (msg);
	Object[] messageArguments = { arg0 };
	MessageFormat formatter = new MessageFormat("");
	formatter.applyPattern(format);
	return formatter.format(messageArguments);
    }
    public CutAndPlayAboutBox(java.awt.Frame parent) {
        super(parent);
        initComponents();
        getRootPane().setDefaultButton(closeButton);
	String version = CutAndPlay.getAppVersion();
	appVersionLabel.setText (version);
	setTitle (i18n1 ("about_cut_and_play", version));
    }

    @Action public void closeAboutBox() {
        dispose();
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
        // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
        private void initComponents() {

                jPanel1 = new javax.swing.JPanel();
                javax.swing.JLabel homepageLabel = new javax.swing.JLabel();
                javax.swing.JLabel vendorLabel = new javax.swing.JLabel();
                javax.swing.JLabel versionLabel = new javax.swing.JLabel();
                javax.swing.JLabel appHomepageLabel = new javax.swing.JLabel();
                javax.swing.JLabel appVendorLabel = new javax.swing.JLabel();
                appVersionLabel = new javax.swing.JLabel();
                javax.swing.JLabel appDescLabel = new javax.swing.JLabel();
                javax.swing.JLabel appTitleLabel = new javax.swing.JLabel();
                javax.swing.JLabel imageLabel = new javax.swing.JLabel();
                jScrollPane1 = new javax.swing.JScrollPane();
                jTextArea1 = new javax.swing.JTextArea();
                closeButton = new javax.swing.JButton();

                setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
                org.jdesktop.application.ResourceMap resourceMap = org.jdesktop.application.Application.getInstance(cutandplay.CutAndPlay.class).getContext().getResourceMap(CutAndPlayAboutBox.class);
                setTitle(resourceMap.getString("title")); // NOI18N
                setBackground(resourceMap.getColor("aboutBox.background")); // NOI18N
                setForeground(resourceMap.getColor("aboutBox.foreground")); // NOI18N
                setModal(true);
                setName("aboutBox"); // NOI18N
                setResizable(false);

                jPanel1.setBackground(resourceMap.getColor("jPanel1.background")); // NOI18N
                jPanel1.setName("jPanel1"); // NOI18N
                jPanel1.setPreferredSize(new java.awt.Dimension(481, 165));

                homepageLabel.setBackground(resourceMap.getColor("homepageLabel.background")); // NOI18N
                homepageLabel.setFont(homepageLabel.getFont().deriveFont(homepageLabel.getFont().getStyle() | java.awt.Font.BOLD));
                homepageLabel.setText(resourceMap.getString("homepageLabel.text")); // NOI18N
                homepageLabel.setName("homepageLabel"); // NOI18N
                homepageLabel.setOpaque(true);

                vendorLabel.setFont(vendorLabel.getFont().deriveFont(vendorLabel.getFont().getStyle() | java.awt.Font.BOLD));
                vendorLabel.setText(resourceMap.getString("vendorLabel.text")); // NOI18N
                vendorLabel.setName("vendorLabel"); // NOI18N

                versionLabel.setFont(versionLabel.getFont().deriveFont(versionLabel.getFont().getStyle() | java.awt.Font.BOLD));
                versionLabel.setText(resourceMap.getString("versionLabel.text")); // NOI18N
                versionLabel.setName("versionLabel"); // NOI18N

                appHomepageLabel.setBackground(resourceMap.getColor("appHomepageLabel.background")); // NOI18N
                appHomepageLabel.setText(resourceMap.getString("appHomepageLabel.text")); // NOI18N
                appHomepageLabel.setName("appHomepageLabel"); // NOI18N
                appHomepageLabel.setOpaque(true);

                appVendorLabel.setText(resourceMap.getString("appVendorLabel.text")); // NOI18N
                appVendorLabel.setName("appVendorLabel"); // NOI18N

                appVersionLabel.setName("appVersionLabel"); // NOI18N

                appDescLabel.setText(resourceMap.getString("appDescLabel.text")); // NOI18N
                appDescLabel.setName("appDescLabel"); // NOI18N

                appTitleLabel.setFont(appTitleLabel.getFont().deriveFont(appTitleLabel.getFont().getStyle() | java.awt.Font.BOLD, appTitleLabel.getFont().getSize()+4));
                appTitleLabel.setName("appTitleLabel"); // NOI18N

                imageLabel.setBackground(resourceMap.getColor("imageLabel.background")); // NOI18N
                imageLabel.setIcon(resourceMap.getIcon("imageLabel.icon")); // NOI18N
                imageLabel.setName("imageLabel"); // NOI18N
                imageLabel.setOpaque(true);

                jScrollPane1.setName("jScrollPane1"); // NOI18N

                jTextArea1.setColumns(20);
                jTextArea1.setLineWrap(true);
                jTextArea1.setRows(5);
                jTextArea1.setText(resourceMap.getString("jTextArea1.text")); // NOI18N
                jTextArea1.setWrapStyleWord(true);
                jTextArea1.setFocusable(false);
                jTextArea1.setName("jTextArea1"); // NOI18N
                jTextArea1.setRequestFocusEnabled(false);
                jScrollPane1.setViewportView(jTextArea1);

                javax.swing.ActionMap actionMap = org.jdesktop.application.Application.getInstance(cutandplay.CutAndPlay.class).getContext().getActionMap(CutAndPlayAboutBox.class, this);
                closeButton.setAction(actionMap.get("closeAboutBox")); // NOI18N
                closeButton.setName("closeButton"); // NOI18N

                javax.swing.GroupLayout jPanel1Layout = new javax.swing.GroupLayout(jPanel1);
                jPanel1.setLayout(jPanel1Layout);
                jPanel1Layout.setHorizontalGroup(
                        jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                        .addGroup(jPanel1Layout.createSequentialGroup()
                                .addGap(33, 33, 33)
                                .addComponent(appDescLabel, javax.swing.GroupLayout.DEFAULT_SIZE, 628, Short.MAX_VALUE)
                                .addContainerGap())
                        .addGroup(jPanel1Layout.createSequentialGroup()
                                .addContainerGap()
                                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                        .addGroup(jPanel1Layout.createSequentialGroup()
                                                .addComponent(imageLabel)
                                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                                        .addComponent(versionLabel)
                                                        .addComponent(vendorLabel)
                                                        .addComponent(homepageLabel))
                                                .addGap(48, 48, 48)
                                                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                                        .addComponent(appHomepageLabel)
                                                        .addComponent(appVendorLabel)
                                                        .addComponent(appVersionLabel)))
                                        .addComponent(appTitleLabel))
                                .addGap(256, 256, 256))
                        .addGroup(jPanel1Layout.createSequentialGroup()
                                .addGap(24, 24, 24)
                                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                                        .addComponent(closeButton)
                                        .addComponent(jScrollPane1, javax.swing.GroupLayout.PREFERRED_SIZE, 430, javax.swing.GroupLayout.PREFERRED_SIZE))
                                .addContainerGap(219, Short.MAX_VALUE))
                );
                jPanel1Layout.setVerticalGroup(
                        jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                        .addGroup(jPanel1Layout.createSequentialGroup()
                                .addContainerGap()
                                .addComponent(appTitleLabel)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                .addComponent(appDescLabel)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                        .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel1Layout.createSequentialGroup()
                                                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                                                        .addComponent(versionLabel)
                                                        .addComponent(appVersionLabel))
                                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                                                        .addComponent(vendorLabel)
                                                        .addComponent(appVendorLabel))
                                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                                                        .addComponent(homepageLabel)
                                                        .addComponent(appHomepageLabel)))
                                        .addComponent(imageLabel, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.PREFERRED_SIZE, 69, javax.swing.GroupLayout.PREFERRED_SIZE))
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                                .addComponent(jScrollPane1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                                .addGap(18, 18, 18)
                                .addComponent(closeButton)
                                .addContainerGap(28, Short.MAX_VALUE))
                );

                javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
                getContentPane().setLayout(layout);
                layout.setHorizontalGroup(
                        layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                        .addComponent(jPanel1, javax.swing.GroupLayout.PREFERRED_SIZE, 488, javax.swing.GroupLayout.PREFERRED_SIZE)
                );
                layout.setVerticalGroup(
                        layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                        .addComponent(jPanel1, javax.swing.GroupLayout.PREFERRED_SIZE, 269, javax.swing.GroupLayout.PREFERRED_SIZE)
                );

                pack();
        }// </editor-fold>//GEN-END:initComponents
    
        // Variables declaration - do not modify//GEN-BEGIN:variables
        private javax.swing.JLabel appVersionLabel;
        private javax.swing.JButton closeButton;
        private javax.swing.JPanel jPanel1;
        private javax.swing.JScrollPane jScrollPane1;
        private javax.swing.JTextArea jTextArea1;
        // End of variables declaration//GEN-END:variables
    
}
